https://www.docusign.com/v2.1/accounts/{accountId}/templates/{templateId}/documents/{documentId}/pagesReturns images of the pages in a template document for display based on the parameters that you specify.
(Required) The external account number (int) or account ID GUID.
(Required) The ID of the document.
(Required) The ID of the template.
The maximum number of results to return.
The number of dots per inch (DPI) for the resulting images. Valid values are 1-310 DPI. The default value is 94.
Sets the maximum height of the returned images in pixels.
Sets the maximum width of the returned images in pixels.
When **true,** using cache is disabled and image information is retrieved from a database. **True** is the default value.
When **true,** changes display in the user interface.
The position within the total result set from which to start returning values. The value **thumbnail** may be used to return the page image.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request GET \2 --url 'https://www.docusign.com/v2.1/accounts/{accountId}/templates/{templateId}/documents/{documentId}/pages' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}https://www.docusign.com/v2.1/accounts/{accountId}/templates/{templateId}/documents/{documentId}/pagesReturns images of the pages in a template document for display based on the parameters that you specify.
(Required) The external account number (int) or account ID GUID.
(Required) The ID of the document.
(Required) The ID of the template.
The maximum number of results to return.
The number of dots per inch (DPI) for the resulting images. Valid values are 1-310 DPI. The default value is 94.
Sets the maximum height of the returned images in pixels.
Sets the maximum width of the returned images in pixels.
When **true,** using cache is disabled and image information is retrieved from a database. **True** is the default value.
When **true,** changes display in the user interface.
The position within the total result set from which to start returning values. The value **thumbnail** may be used to return the page image.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request GET \2 --url 'https://www.docusign.com/v2.1/accounts/{accountId}/templates/{templateId}/documents/{documentId}/pages' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}